Bug 1948953 - Uninitialized cloud provider error when provisioning a cinder volume
Summary: Uninitialized cloud provider error when provisioning a cinder volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Martin André
QA Contact: rlobillo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-13 07:01 UTC by Martin André
Modified: 2021-07-27 23:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:59:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 662 0 None open Bug 1948953: UPSTREAM: 96750: SQUASH: Set informer for openstack 2021-04-13 13:45:32 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:13 UTC

Description Martin André 2021-04-13 07:01:04 UTC
Not technically a CSI issue but filling it there so that it ends up in the shiftstack team bucket.

A recent pull request [1] triggered a bug that caused the in-tree cinder provisioner to fail with the following error:

PV Create API error: persistentvolumes "cinder-" is forbidden: error querying Cinder volume 931c49d9-f363-40b1-9e2c-d3c8a280281c: unable to initialize cinder client for region: RegionOne, err: cloud provider is not initialized: secret lister is not initialized occurred


This is consistently failing in-tree cinder operations as shown by the 4.8 periodic jobs [2], so giving this an urgent severity.

[1] https://github.com/openshift/kubernetes/pull/634
[2] https://testgrid.k8s.io/redhat-openshift-ocp-release-4.8-informing#release-openshift-ocp-installer-e2e-openstack-4.8

Comment 3 rlobillo 2021-05-05 09:28:06 UTC
Verified as the job-history started to pass since the fix is merged (first pass observed on "2021-04-29 18:00:36 +0000 UTC"): 

https://prow.ci.openshift.org/job-history/origin-ci-test/logs/release-openshift-ocp-installer-e2e-openstack-4.8

Comment 6 errata-xmlrpc 2021-07-27 22:59:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.